## swaml 0.0.5

=== Makefile ===
# SWAML Makefile

NAME=SWAML
DESTDIR =
ZIP=gzip
DOCDIR=doc

install:
	cp setup/swaml $(DESTDIR)/usr/bin/swaml
	chmod 755 $(DESTDIR)/usr/bin/swaml
	mkdir -p $(DESTDIR)/usr/share/swaml/
	cp -r __init__.py swaml.py foaf.py kml.py configWizard.py classes includes $(DESTDIR)/usr/share/swaml/
	mkdir -p $(DESTDIR)/usr/share/doc/swaml/examples
	cp -r config $(DESTDIR)/usr/share/doc/swaml/examples
	mkdir tmp
	$(ZIP) -9 -c manpages/swaml.1 > tmp/swaml.1.gz
	mv tmp/swaml.1.gz $(DESTDIR)/usr/share/man/man1/
	rm -r tmp

uninstall:
	rm -f $(DESTDIR)/usr/bin/swaml
	rm -rf $(DESTDIR)/usr/share/swaml
	rm -rf $(DESTDIR)/usr/share/doc/swaml/examples
	rm -f $(DESTDIR)/usr/share/man/man1/swaml.1.gz

gendoc:
	rm -rf $(DOCDIR)
	mkdir -p $(DOCDIR)
	epydoc -n $(NAME) -o $(DOCDIR) --html __init__.py swaml.py foaf.py kml.py configWizard.py classes/

pubdoc:	gendoc
	scp -r $(DOCDIR)/* $(USER)@shell.berlios.de:/home/groups/swaml/htdocs/$(DOCDIR)/

test:
	echo $(NAME) test
	echo **********\n
	echo be pacient...\n
	mkdir -p test
	echo time test
	echo ---------\n
	time python swaml.py -d /tmp/swaml/ > test/time.txt
	rm -rf /tmp/swaml
	cat test/time.txt

clean:
	rm -rf archive/
	rm -rf $(DOCDIR)
	rm -f `find . -name "*~"`
	rm -f `find . -name "*.pyc"`

## swaml 0.1.0

=== Makefile ===
# SWAML Makefile

NAME=SWAML
DESTDIR =
ZIP=gzip
DOCDIR=doc
PYTHON=python

install:
	cp setup/swaml $(DESTDIR)/usr/bin/swaml
	chmod 755 $(DESTDIR)/usr/bin/swaml
	mkdir -p $(DESTDIR)/usr/share/swaml/
	cp -r __init__.py run.py src includes $(DESTDIR)/usr/share/swaml/
	mkdir -p $(DESTDIR)/usr/share/doc/swaml/examples
	cp -r config $(DESTDIR)/usr/share/doc/swaml/examples
	mkdir tmp
	$(ZIP) -9 -c manpages/swaml.1 > tmp/swaml.1.gz
	mv tmp/swaml.1.gz $(DESTDIR)/usr/share/man/man1/
	rm -r tmp

uninstall:
	rm -f $(DESTDIR)/usr/bin/swaml
	rm -rf $(DESTDIR)/usr/share/swaml
	rm -rf $(DESTDIR)/usr/share/doc/swaml/examples
	rm -f $(DESTDIR)/usr/share/man/man1/swaml.1.gz

gendoc:
	rm -rf $(DOCDIR)
	mkdir -p $(DOCDIR)
	epydoc -n $(NAME) -o $(DOCDIR) --html __init__.py run.py src/swaml/

pubdoc:	gendoc
	scp -r $(DOCDIR)/* $(USER)@shell.berlios.de:/home/groups/swaml/htdocs/$(DOCDIR)/

tests:
	@echo $(NAME) unittests
	@echo ---------------
	#$(PYTHON) test/swaml/rdf/swse.py
	#$(PYTHON) test/swaml/rdf/sindice.py

clean:
	rm -rf archive/
	rm -rf $(DOCDIR)
	rm -f `find . -name "*~"`
	rm -f `find . -name "*.pyc"`

## swaml 0.1.1

=== debian/changelog ===
swaml (0.1.1-2) unstable; urgency=low

  * Orphaned. Set maintainer to Debian QA Group.

 -- Nacho Barrientos Arias <nacho@debian.org>  Sun, 29 Dec 2013 20:26:46 +0000

swaml (0.1.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control
   + Drop python-xml dependency.
   + Set S-V to 3.8.4 (no changes).
  * Switch to dpkg-source 3.0 (quilt) format
  * Move to Debhelper compatibility level 7.

 -- Nacho Barrientos Arias <nacho@debian.org>  Fri, 16 Apr 2010 12:15:39 +0200

swaml (0.1.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control
   + b-d: Drop quilt, no longer needed.
   + d: Add new deps python-sparqlwrapper, python-xml
   + Set Standards-Version to 3.8.0 (no changes).
   + Move homepage to the new Homepage field.
   + Buxon fits better as a suggest.
  * debian/patches
   + Drop all, merged upstream.
  * debian/watch
   + Finally fixed.

 -- Nacho Barrientos Arias <nacho@debian.org>  Fri, 25 Jul 2008 20:06:32 +0200

swaml (0.0.5-2.1) unstable; urgency=low

  * Non-maintainer upload.
    + With maintainer consent.
  * Depend python-rdflib instead of python2.4-rdflib. (Closes: #445422).
  * debian/pyversions 2.4 -> 2.4-.
  * Add quilt patching system.
  * 10_python_shebang.diff - Use #usr/bin/python, not python2.4.

 -- Barry deFreese <bddebian@comcast.net>  Tue, 12 Feb 2008 11:29:19 -0500

swaml (0.0.5-2) unstable; urgency=low

  * Added debian/watch file.
  * New maintainer's email address. 

 -- Nacho Barrientos Arias <nacho@debian.org>  Thu, 22 Mar 2007 15:06:26 +0100

swaml (0.0.5-1) unstable; urgency=low

  * Initial release (Closes: #402904).

 -- Nacho Barrientos Arias <chipi@criptonita.com>  Thu, 28 Dec 2006 13:57:38 +0100

=== debian/control ===
Source: swaml
Section: web
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7), python-support
Standards-Version: 3.8.4
Homepage: http://swaml.berlios.de

Package: swaml
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-rdflib, python-sparqlwrapper
Suggests: buxon
Description: Semantic Web Archive of Mailing Lists
 SWAML reads a collection of email messages stored in a mailbox
 (from a mailing list compatible with RFC 4155) and generates a
 RDF description. It is written in Python using SIOC as the main
 ontology to represent in RDF a mailing list, including the next
 features:
 .
   * Platform independent.
   * Text-based.
   * Compatible with RFC 4155.
   * Serialize RDF to disk.
   * Reusability of ontologies already extended, mainly SIOC.
   * Enrichment using FOAF.
   * KML support.

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp

build-stamp:
	dh_testdir
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/swaml install

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_compress
	dh_fixperms
	dh_pysupport
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3

opts=downloadurlmangle=s/prdownload/download/ \
http://developer.berlios.de/project/showfiles.php?group_id=4806 \
http://prdownload.berlios.de/swaml/swaml-(.*)\.tar\.gz
